import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { DashboardRoutingModule } from './dashboard-routing.module';
import { SalesComponent } from './sales/sales.component';
import { EcommerceComponent } from './ecommerce/ecommerce.component';
import { CryptoComponent } from './crypto/crypto.component';
import { JobsComponent } from './jobs/jobs.component';
import { NftComponent } from './nft/nft.component';
import { AnalyticsComponent } from './analytics/analytics.component';
import { ProjectsComponent } from './projects/projects.component';
import { HrmComponent } from './hrm/hrm.component';
import { CrmComponent } from './crm/crm.component';
import { PersonalComponent } from './personal/personal.component';
import { StocksComponent } from './stocks/stocks.component';
import { CourseComponent } from './course/course.component';
import { NgApexchartsModule } from 'ng-apexcharts';
import { NgChartsModule } from 'ng2-charts';
import { CarouselModule } from 'ngx-owl-carousel-o';
import { SharedModule } from 'src/app/shared/sharedmodule';
import { NgxChartsModule } from '@swimlane/ngx-charts';
import { NgSelectModule } from '@ng-select/ng-select';
import { CompanyRegistrationComponent } from '../company-components/company-registration/company-registration.component';
import { DepartmentRegisterComponent } from '../company-components/company-registration/branch-business-unit/department-register/department-register.component';
import { BranchBusinessUnitComponent } from '../company-components/company-registration/branch-business-unit/branch-business-unit.component';
import { DepartmentListComponent } from '../company-components/company-registration/branch-business-unit/department-list/department-list.component';
import { SubDepartmentOneComponent } from '../company-components/company-registration/branch-business-unit/sub-department-one/sub-department-one.component';
import { SubDepartmentThreeComponent } from '../company-components/company-registration/branch-business-unit/sub-department-three/sub-department-three.component';
import { SubDepartmentTwoComponent } from '../company-components/company-registration/branch-business-unit/sub-department-two/sub-department-two.component';
import { SubDepartmentFourComponent } from '../company-components/company-registration/branch-business-unit/sub-department-four/sub-department-four.component';
import { SectionRegistrationComponent } from '../company-components/company-registration/branch-business-unit/section-registration/section-registration.component';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { Bu1Service } from 'src/app/shared/services/bu1.service';
import { HttpRequestInterceptor } from 'src/app/shared/services/http-request.interceptor';
import { FormsModule } from '@angular/forms';
import { Bu2Service } from 'src/app/shared/services/bu2.service';
import { Bu3Service } from 'src/app/shared/services/bu3.service';
import { Bu4Service } from 'src/app/shared/services/bu4.service';
import { Bu5Service } from 'src/app/shared/services/bu5.service';
import { Bu6Service } from 'src/app/shared/services/bu6.service';
import { Bu7Service } from 'src/app/shared/services/bu7.service';
import { PositionService } from 'src/app/shared/services/position.service';
import { PLService } from 'src/app/shared/services/pl.service';
import { EmpGroupService } from 'src/app/shared/services/emp_group.service';
import { EmpTypeService } from 'src/app/shared/services/employee-type.service';
import { JobDetailManagementComponent } from '../job-detail-components/job-detail-management/job-detail-management.component';
import { ImportDataComponent } from '../job-detail-components/job-detail-management/import-data/import-data.component';
import { JobDescriptionComponent } from '../company-components/job-description/job-description.component';
import { PositionUnitComponent } from '../company-components/job-description/position/position-unit.component';
import { EmployeeGroupUnit } from '../company-components/job-description/employee-group-unit/employee-group-unit.component';
import { EmployeeCategories } from '../company-components/job-description/employee-categories/employee-categories.component';
import { EmployeeLevel } from '../company-components/job-description/employee-level/employee-level.component';
import { AccountSettingsComponent } from '../company-components/account-settings/account-settings.component';
import { UserSettingsComponent } from '../company-components/account-settings/user-settings/user-settings.component';
import { SetAPasswordComponent } from '../company-components/account-settings/set-a-password/set-a-password.component';
import { NameRegistrationComponent } from '../competency-assessment/name-registration/name-registration.component';
import { TypeRegistration } from '../competency-assessment/name-registration/type-registration/type-registration.component';
import { CompetencyTopic } from '../competency-assessment/name-registration/competency-topic/competency-topic.component';
import { ToolRegisterComponent } from '../competency-assessment/tool-register/tool-register.component';
import { AssessmentToolComponent } from '../competency-assessment/tool-register/assessment-tool/assessment-tool.component';
import { CourseRegistrationComponent } from '../competency-assessment/course-registration/course-registration.component';
import { DevelopmentCourseComponent } from '../competency-assessment/course-registration/development-course/development-course.component';
import { CompetencyManagementComponent } from '../competency-assessment/competency-management/competency-management.component';
import { IndicatorsAndCurriculumComponent } from '../competency-assessment/competency-management/indicators-and-curriculum/indicators-and-curriculum.component';
import { EditGroupIndicators } from '../competency-assessment/competency-management/indicators-and-curriculum/edit-group-indicators/edit-group-indicators';
import { GruopCompetenciesComponent } from '../competency-assessment/competency-management/group-competencies/group-competencies.component';
import { EditGruopCompetenciesComponent } from '../competency-assessment/competency-management/group-competencies/edit-group-competencies/edit-group-competencies.component';
import { EvaluationCycleManagerComponent } from '../competency-assessment/evaluation-cycle-manager/evaluation-cycle-manager.component';
import { EvaluationCycleComponent } from '../competency-assessment/evaluation-cycle-manager/evaluation-cycle/evaluation-cycle.component';
import { SettingCompetencyComponent } from '../competency-assessment/setting-competency/setting-competency.component';
import { CompetencyConfigurationComponent } from '../competency-assessment/setting-competency/competency-configuration/competency-configuration.component';
import { IdpDevelopmentPlanComponent } from '../competency-assessment/idp-development-plan/idp-development-plan.component';
import { SetIdpDevelopmentPlanComponent } from '../competency-assessment/idp-development-plan/set-idp-development-plan/set-idp-development-plan.component';
import { NgxDaterangepickerMd } from 'ngx-daterangepicker-material';
import { JobCompetencyComponent } from '../job-detail-components/job-competency/job-competency.component';
import { SubJobCompetencyComponent } from '../job-detail-components/job-competency/sub-job-competency/sub-job-competency.component';
import { JobQualificationsComponent } from '../job-detail-components/job-qualifications/job-qualifications.component';
import { SubJobQualificationsComponent } from '../job-detail-components/job-qualifications/sub-job-qualifications/sub-job-qualifications.component';
import { JobDetailComponent } from '../job-detail-components/job-detail/job-detail.component';
import { WorkDetailComponent } from '../job-detail-components/job-detail/work-detail/work-detail.component';
import { SubCommandStructureComponent } from '../job-detail-components/command-structure/sub-command-structure/sub-command-structure.component';
import { CommandStructureComponent } from '../job-detail-components/command-structure/command-structure.component';
import { AssessmentManagementComponent } from '../performance-management-evaluation/assessment-management/assessment-management.component';
import { AssigningApproversComponent } from '../performance-management-evaluation/assessment-management/assigning-approvers/assigning-approvers.component';
import { SubJobPositionIndicatorsComponent } from '../job-detail-components/job-position-indicators/sub-job-position-indicators/sub-job-position-indicators.component';
import { JobPositionIndicatorsComponent } from '../job-detail-components/job-position-indicators/job-position-indicators.component';
import { DefineDocumentFormComponent } from '../competency-assessment/evaluation-cycle-manager/define-document-form/define-document-form.component';
import { EditDefineDocumentFormComponent } from '../competency-assessment/evaluation-cycle-manager/define-document-form/edit-define-document-form/edit-define-document-form.component';
import { EvaluationCyclePerformanceComponent } from '../performance-management-evaluation/evaluation-cycle-performance/evaluation-cycle-performance.component';
import { DocumentFormComponent } from '../performance-management-evaluation/evaluation-cycle-performance/document-form/document-form.component';
import { EditEvaluationFormComponent } from '../performance-management-evaluation/evaluation-cycle-performance/document-form/edit-evaluation-form/edit-evaluation-form.component';
import { EmployeeRegistrationComponent } from '../company-components/employee-registration/employee-registration.component';
import { SubEmployeeRegistrationComponent } from '../company-components/employee-registration/sub-employee-registration/sub-employee-registration.component';
import { NameRegistrationPerfomanceComponent } from '../performance-management-evaluation/name-registration-perfomance/name-registration-perfomance.component';
import { AssessmentTypesComponent } from '../performance-management-evaluation/name-registration-perfomance/assessment-types/assessment-types.component';

@NgModule({
  declarations: [
    SalesComponent,
    EcommerceComponent,
    CryptoComponent,
    JobsComponent,
    NftComponent,
    AnalyticsComponent,
    ProjectsComponent,
    HrmComponent,
    CrmComponent,
    PersonalComponent,
    StocksComponent,
    CourseComponent,

    // my Component
    CompanyRegistrationComponent,
    BranchBusinessUnitComponent,
    DepartmentRegisterComponent,
    DepartmentListComponent,
    SectionRegistrationComponent,
    SubDepartmentOneComponent,
    SubDepartmentTwoComponent,
    SubDepartmentThreeComponent,
    SubDepartmentFourComponent,
    JobDescriptionComponent,
    PositionUnitComponent,
    EmployeeGroupUnit,
    EmployeeCategories,
    AccountSettingsComponent,
    UserSettingsComponent,
    EmployeeLevel,
    SetAPasswordComponent,
    NameRegistrationComponent,
    TypeRegistration,
    CompetencyTopic,
    ToolRegisterComponent,
    AssessmentToolComponent,
    CompetencyManagementComponent,
    JobDetailManagementComponent,
    CourseRegistrationComponent,
    DevelopmentCourseComponent,
    IndicatorsAndCurriculumComponent,
    ImportDataComponent,
    EditGroupIndicators,
    GruopCompetenciesComponent,
    EditGruopCompetenciesComponent,
    EvaluationCycleManagerComponent,
    EvaluationCycleComponent,
    SettingCompetencyComponent,
    CompetencyConfigurationComponent,
    IdpDevelopmentPlanComponent,
    SetIdpDevelopmentPlanComponent,
    JobCompetencyComponent,
    SubJobCompetencyComponent,
    JobQualificationsComponent,
    SubJobQualificationsComponent,
    JobDetailComponent,
    WorkDetailComponent,
    CommandStructureComponent,
    SubCommandStructureComponent,
    AssessmentManagementComponent,
    AssigningApproversComponent,
    JobPositionIndicatorsComponent,
    SubJobPositionIndicatorsComponent,
    DefineDocumentFormComponent,
    EditDefineDocumentFormComponent,
    EvaluationCyclePerformanceComponent,
    DocumentFormComponent,
    EditEvaluationFormComponent,
    EmployeeRegistrationComponent,
    SubEmployeeRegistrationComponent,
    NameRegistrationPerfomanceComponent,
    AssessmentTypesComponent
  ],
  imports: [
    CommonModule,
    DashboardRoutingModule,
    NgChartsModule,
    NgApexchartsModule,
    CarouselModule,
    SharedModule,
    NgxChartsModule,
    NgSelectModule,
    HttpClientModule,
    FormsModule,
    NgxDaterangepickerMd.forRoot(),
  ],
  providers: [Bu1Service,Bu2Service,Bu3Service,Bu4Service,Bu5Service,Bu6Service,Bu7Service,PositionService,PLService,EmpGroupService,EmpTypeService,{
    provide: HTTP_INTERCEPTORS,
    useClass: HttpRequestInterceptor,
    multi: true,
  },]
})
export class DashboardModule { }
